# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

# frozen_string_literal: true

class SerializableGuest < JSONAPI::Serializable::Resource
  type 'guest'

  attributes :id, :group_id, :status

  attribute :name do
    @object.name
  end

  attribute :group_name do
    @object.group.name
  end

  attribute :status do
    @object.status.capitalize
  end
end
